Generate Ytd Report
curl --request POST \
--url https://api.example.com/gb/organizations/{organization_id}/employees/{employee_id}/reports/ytd \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_year": 2000
}
'import requests
url = "https://api.example.com/gb/organizations/{organization_id}/employees/{employee_id}/reports/ytd"
payload = { "tax_year": 2000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tax_year: 2000})
};
fetch('https://api.example.com/gb/organizations/{organization_id}/employees/{employee_id}/reports/ytd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Reports
Generate Ytd Report
POST
/
gb
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
reports
/
ytd
Generate Ytd Report
Authorizations
Get token from Auth0 and paste it here
Body
application/json
Required range:
1901 <= x <= 2100Cap the rightmost column at this tax month (partial-year). Defaults to the latest month with an approved payslip.
Required range:
1 <= x <= 12Available options:
xlsx, pdf Include the Employer Costs section (Employer NI, Employer Pension).
Was this page helpful?
⌘I